package de.krisenvorrat.app.domain.repository

import de.krisenvorrat.app.data.db.entity.CategoryEntity
import kotlinx.coroutines.flow.Flow

internal interface CategoryRepository {
    fun getAll(): Flow<List<CategoryEntity>>
    suspend fun insert(category: CategoryEntity)
    suspend fun update(category: CategoryEntity)
    suspend fun delete(category: CategoryEntity)
}
